<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="f" uri="/WEB-INF/functions.tld" %>

<%@ attribute name="dateFormat" required="true" %>

<%@ attribute name="comment" fragment="true" %>

<%@ variable name-given="name" %>
<%@ variable name-given="message" %>
<%@ variable name-given="date" %>

<jsp:useBean id="commentDb"
  class="com.wdpress.jsp2.CommentDb" scope="application" />

<c:forEach var="comment" items="${commentDb.comments}">
  <c:set var="name" value="${f:escape(comment.name)}" />
  <c:set var="message" value="${f:escape(comment.message)}" />
  <fmt:formatDate value="${comment.date}" pattern="${dateFormat}" var="date"/>
  <jsp:invoke fragment="comment" />
</c:forEach>
